Bug 125518 - multimedia/audacious: cannot build after libmowgli update
Summary: multimedia/audacious: cannot build after libmowgli update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Oliver Lehmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-11 21:00 UTC by Dmitry Marakasov
Modified: 2008-07-14 19:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2008-07-11 21:00:05 UTC
portupgrade of audacious after libmowngli update failed. Clean reinstall of libmowgli, libmcs and audacious resulted the same error:

--
Successfully compiled volumecontrol.c.
Successfully compiled sync-menu.c.
signals.o(.text+0x221): In function `signal_process_segv':
: undefined reference to `backtrace'
signals.o(.text+0x22f): In function `signal_process_segv':
: undefined reference to `backtrace_symbols'
Failed to link audacious!
gmake[5]: *** [audacious] Error 1
gmake[4]: *** [all] Error 1
gmake[3]: *** [subdirs] Error 1
gmake[2]: *** [all] Error 1
gmake[1]: *** [subdirs] Error 1
gmake: *** [all] Error 1
*** Error code 2

Stop in /.amd_mnt/hive/pool/ports/multimedia/audacious.
*** Error code 1

Stop in /.amd_mnt/hive/pool/ports/multimedia/audacious.
--

make showconfig:
--
===> The following configuration options are available for audacious-1.5.1_3:
     CHARSET=off "Build with automatic charset detection"
     DBUS=off "Build with dbus support"
     GNOME=off "Build with gconf support"
     NLS=off "Native Language Support"
     XML=off "Build with xml support"
     EXECINFO=off "Build with libexecinfo support"
===> Use 'make config' to modify these settings
--
Comment 1 Edwin Groothuis freebsd_committer 2008-07-11 21:00:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->oliver

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Oliver Lehmann freebsd_committer 2008-07-12 08:45:59 UTC
Hi,

do you have libexecinfo installed? If so, which version? Can you send me
your /usr/local/include/execinfo.h if you have one please?
This error is undependent from the libmowgli update.

Greetings, Oliver
Comment 3 Dmitry Marakasov 2008-07-12 10:28:57 UTC
* Oliver Lehmann (oliver@FreeBSD.org) wrote:

> do you have libexecinfo installed? If so, which version? Can you send me
> your /usr/local/include/execinfo.h if you have one please?
> This error is undependent from the libmowgli update.

% pkg_info | grep libexec
libexecinfo-1.1_1   A library for inspecting program's backtrace

--- execinfo.h begins here ---
/*
 * Copyright (c) 2003 Maxim Sobolev <sobomax@FreeBSD.org>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: execinfo.h,v 1.2 2004/07/19 05:20:29 sobomax Exp $
 */

#ifndef _EXECINFO_H_
#define _EXECINFO_H_

#ifdef __cplusplus
extern "C" {
#endif

int     backtrace(void **, int);
char ** backtrace_symbols(void *const *, int);
void    backtrace_symbols_fd(void *const *, int, int);

#ifdef __cplusplus
}
#endif

#endif /* _EXECINFO_H_ */
--- execinfo.h ends here ---

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 4 dfilter service freebsd_committer 2008-07-14 19:20:42 UTC
oliver      2008-07-14 18:20:34 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/audacious Makefile 
  Log:
  fix the compilation if libexecinfo is installled, but DBUS is disabled
  
  PR:             ports/125518
  Submitted by:   amdmi3
  
  Revision  Changes    Path
  1.42      +1 -1      ports/multimedia/audacious/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Oliver Lehmann freebsd_committer 2008-07-14 19:20:50 UTC
State Changed
From-To: open->closed

I've comitted a fix. Thanks for telling me about this.